QwtTradingChartData Class Reference

`#include <qwt_series_data.h>`

Inheritance diagram for QwtTradingChartData:
[legend]

## Public Member Functions

| QwtTradingChartData (const QVector< QwtOHLCSample > &=QVector< QwtOHLCSample >())
virtual QRectF | boundingRect () const
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QwtOHLCSample >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QwtOHLCSample > &samples)
void | setSamples (const QVector< QwtOHLCSample > &samples)
const QVector< QwtOHLCSample > | samples () const
virtual size_t | size () const
virtual QwtOHLCSample | sample (size_t index) const
Public Member Functions inherited from QwtSeriesData< QwtOHLCSample >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual QRectF | boundingRect () const=0
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members

Protected Attributes inherited from QwtArraySeriesData< QwtOHLCSample >
QVector< QwtOHLCSample > | d_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< QwtOHLCSample >
QRectF | d_boundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

Interface for iterating over an array of OHLC samples

## Constructor & Destructor Documentation

## QwtTradingChartData()

QwtTradingChartData::QwtTradingChartData | ( | const QVector< QwtOHLCSample > & | samples = `QVector<QwtOHLCSample>()` | ) |

Constructor

Parameters

  samples | Samples

## Member Function Documentation

## boundingRect()

QRectF QwtTradingChartData::boundingRect | ( |  | ) | const

virtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle